<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;


?>
<?php
if ( function_exists('wp_get_theme')) {
	
function Wcolor_template_data() {
    echo '<!-- We need this for debugging -->' . "\n";
    echo '<!-- ' . get_Wcolor_template_name() . ' ' . get_Wcolor_template_version() . ' -->' . "\n";
}
 
add_action('wp_head', 'Wcolor_template_data');

function Wcolor_theme_data() {
    if ( is_child_theme() ) {
        echo '<!-- ' . get_Wcolor_theme_name() . ' ' . get_Wcolor_theme_version() . ' -->' . "\n";
    }
}

add_action('wp_head', 'Wcolor_theme_data');

function get_Wcolor_theme_name() {
	$theme = wp_get_theme();
	return $theme->Name;
}

function get_Wcolor_theme_version() {
	$theme = wp_get_theme();
	return $theme->Version;	
}

function get_Wcolor_template_name() {
	$theme = wp_get_theme();
	$parent = $theme->parent();
	if ( $parent )
		$theme = $parent;
	
	return $theme->Name;
}

function get_Wcolor_template_version() {
	$theme = wp_get_theme();
	$parent = $theme->parent();
	if ( $parent )
		$theme = $parent;

	return $theme->Version;	
}

} else {
	
/**
 * < 3.4 Backward Compatibility
 */
	
$theme_data = get_theme_data(STYLESHEETPATH . '/style.css');
define('Wcolor_current_theme', $theme_name = $theme_data['Name']);

function Wcolor_template_data() {

    $theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
    $Wcolor_template_name = $theme_data['Name'];
    $Wcolor_template_version = $theme_data['Version'];

    echo '<!-- We need this for debugging -->' . "\n";
    echo '<meta name="template" content="' . $Wcolor_template_name . ' ' . $Wcolor_template_version . '" />' . "\n";
}

add_action('wp_head', 'Wcolor_template_data');

function Wcolor_theme_data() {
    if (is_child_theme()) {
        $theme_data = get_theme_data(STYLESHEETPATH . '/style.css');
        $Wcolor_theme_name = $theme_data['Name'];
        $Wcolor_theme_version = $theme_data['Version'];

        echo '<meta name="theme" content="' . $Wcolor_theme_name . ' ' . $Wcolor_theme_version . '" />' . "\n";
    }
}

add_action('wp_head', 'Wcolor_theme_data');
}